Hesgoals: FIFA World Cup 2026 scores, live results, standings

Teams

List qualified FIFA World Cup teams with flags, codes, and confederation data.

List teams

GET/api/public/v1/teams

Query parameters

ParameterTypeDescription
search
optional
stringCase-insensitive name search.
competition_id
optional
stringFilter to teams in a specific competition.
page / per_page
optional
integerPagination. Default: page=1, per_page=20, max=100.
http
GET /api/public/v1/teams?per_page=5
Authorization: Bearer sk_live_xxxxxxxxxxxxx

# Search by name
GET /api/public/v1/teams?search=argentina
json
{
  "data": [
    {
      "id": "team_Nb8itbVl",
      "name": "Argentina",
      "code": "ARG",
      "country": "ARG",
      "confederation": "CONMEBOL",
      "logo_url": "https://flagcdn.com/w160/ar.png"
    }
  ],
  "meta": { "page": 1, "per_page": 5, "total": 48 }
}

Get team

GET/api/public/v1/teams/:id

Path parameters

ParameterTypeDescription
id
required
stringTeam public ID.
http
GET /api/public/v1/teams/team_Nb8itbVl
Authorization: Bearer sk_live_xxxxxxxxxxxxx
json
{
  "data": {
    "id": "team_Nb8itbVl",
    "name": "Argentina",
    "code": "ARG",
    "country": "ARG",
    "confederation": "CONMEBOL",
    "logo_url": "https://flagcdn.com/w160/ar.png"
  }
}